Re: Why KDE4 ktorrent in Lenny? - Debian

This is a discussion on Re: Why KDE4 ktorrent in Lenny? - Debian ; On Wed August 27 2008 07:41:22 Modestas Vainius wrote: > trečiadienis 27 rugpjūtis 2008, Mike Bird rašė: > > I just tried the KDE4 ktorrent 3 which is being pushed for Lenny. > > It was a huge disappointment. It ...

+ Reply to Thread
Results 1 to 8 of 8

Thread: Re: Why KDE4 ktorrent in Lenny?

  1. Re: Why KDE4 ktorrent in Lenny?

    On Wed August 27 2008 07:41:22 Modestas Vainius wrote:
    > trečiadienis 27 rugpjūtis 2008, Mike Bird rašė:
    > > I just tried the KDE4 ktorrent 3 which is being pushed for Lenny.
    > > It was a huge disappointment. It brings in a lot of KDE 4 libs
    > > which are otherwise not needed and it has maybe 10% of the
    > > functionality of ktorrent 2.2.

    >
    > Come on, check your facts before saying anything. The only missing feature
    > is RSS plugin.


    I've tried everything I can think of. There is approximately zero
    functionality when Lenny ktorrent 3 is used with Lenny KDE 3. This
    seems to be because none of the ktorrent plugins are available.

    My ktorrent / Settings / Configure ktorrent / Plugins list is empty.
    How about yours?

    Neither starting ktorrent nor accessing the plugins list causes the
    plugins to be accessed (as shown by "ls -ul /usr/lib/kde4"). What
    happens on yours?

    Right clicking anywhere in the main list of active torrents (inherited
    from ktorrent 2.2) results in an instant crash. Does yours?

    Pressing F1 (or clicking through from the menu) results in "Could not
    launch the KDE Help Center: Could not find service 'khelpcenter'."
    Does this happen on yours?

    And the text is ugly and not anti-aliased. How does yours look?

    In short, the default Lenny ktorrent is horrible and nearly useless.
    Without right click one must play games with queue manager to start a
    stopped torrent and I have not found any way to stop a single torrent.

    Is there any information you need from me to diagnose why everyone here
    thinks ktorrent 3 is wonderful while to me it looks like a disaster?

    TIA,

    --Mike Bird


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  2. Re: Why KDE4 ktorrent in Lenny?

    Hi,

    antradienis 23 Rugsėjis 2008, Mike Bird rašė:
    > My ktorrent / Settings / Configure ktorrent / Plugins list is empty.
    > How about yours?
    >
    > Neither starting ktorrent nor accessing the plugins list causes the
    > plugins to be accessed (as shown by "ls -ul /usr/lib/kde4"). What
    > happens on yours?

    Run

    $ kbuildsycoca4

    --
    Modestas Vainius


    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.9 (GNU/Linux)

    iEYEABECAAYFAkjZCb8ACgkQHO9JRnPq4hTa6ACfeag/drR8KKFZKKgCN5WCuBDQ
    ZS8AniPlYteGlBsHEiRYWsNcEmeFmExO
    =PC/G
    -----END PGP SIGNATURE-----


  3. Re: Why KDE4 ktorrent in Lenny?

    Hi,

    antradienis 23 Rugsėjis 2008, Mike Bird rašė:
    > No stdout output. See below for stderr output. Does not alter
    > access time (neither "ls -udl" nor "ls -ul") of "/usr/lib/kde4".
    > Does not cause ktorrent 3 plugins to appear.

    $ kbuildsycoca4 --noincremental

    -- or if it does not help try --

    $ rm -rf ~/.kde4 (or move it away)
    $ kbuildsycoca4
    ...

    --
    Modestas Vainius


    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.9 (GNU/Linux)

    iEYEABECAAYFAkjZEssACgkQHO9JRnPq4hTjuwCfXVnoK8xqQM rjmOt86665pzv+
    XJwAn34VdqtwWfF5DnAxBzY/Euh7IZuA
    =X8vs
    -----END PGP SIGNATURE-----


  4. Re: Why KDE4 ktorrent in Lenny?

    On Tue September 23 2008 09:01:13 Modestas Vainius wrote:
    > Hi,
    >
    > antradienis 23 Rugsėjis 2008, Mike Bird rašė:
    > > No stdout output. See below for stderr output. Does not alter
    > > access time (neither "ls -udl" nor "ls -ul") of "/usr/lib/kde4".
    > > Does not cause ktorrent 3 plugins to appear.

    >
    > $ kbuildsycoca4 --noincremental


    No change.

    > -- or if it does not help try --
    >
    > $ rm -rf ~/.kde4 (or move it away)
    > $ kbuildsycoca4
    > ...


    I don't have a .kde4 in my home directory.

    BTW, I'm subscribed to debian-kde for now, so no need to cc me.

    --Mike Bird


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  5. Re: Why KDE4 ktorrent in Lenny?

    Sveiki,

    antradienis 23 Rugsėjis 2008, Mike Bird rašė:
    > I don't have a .kde4 in my home directory.

    Then something is seriously wrong with your base KDE4 installation (kdelibs5,
    kdebase-runtime, kdepimlibs).

    --
    Modestas Vainius


    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.9 (GNU/Linux)

    iEYEABECAAYFAkjZHs4ACgkQHO9JRnPq4hSlWgCfb2aozJRnCw GHqZin0JbzzsB0
    ZyAAn2l9vqxS58OCAU+rn7YL944hUPwo
    =vzAD
    -----END PGP SIGNATURE-----


  6. Re: Why KDE4 ktorrent in Lenny?

    On Tue September 23 2008 09:52:29 Modestas Vainius wrote:
    > Sveiki,
    >
    > antradienis 23 Rugsėjis 2008, Mike Bird rašė:
    > > I don't have a .kde4 in my home directory.

    >
    > Then something is seriously wrong with your base KDE4 installation
    > (kdelibs5, kdebase-runtime, kdepimlibs).


    See below for my Lenny KDE packages. What differences do you see
    between this and the systems where you tested ktorrent 3 with Lenny's
    KDE 3? Is it possible that ktorrent 3 does not work with KDE 3?

    --Mike Bird


    # dpkg -l | grep kde
    ii atlantikdesigner 4:3.5.9-2 game
    board designer for Atlantik
    ii kde 5:48 the K
    Desktop Environment official modules
    ii kde-core 5:48 the K
    Desktop Environment core modules
    ii kde-icons-oxygen 4:4.1.0-2 Oxygen
    icon theme for KDE 4
    ii kdeaccessibility 4:3.5.9-2
    accessibility packages from the official KDE release
    ii kdeaddons 4:3.5.9-2 add-on
    plugins and applets provided with KDE
    ii kdeaddons-kfile-plugins 4:3.5.9-2 KDE
    file dialog plugins for text files and folders
    ii kdeadmin 4:3.5.9-2 system
    administration tools from the official KDE relea
    ii kdeadmin-kfile-plugins 4:3.5.9-2 KDE
    file metainfo plugins for deb and rpm files
    ii kdeartwork 4:3.5.9-3 themes,
    styles and more from the official KDE release
    ii kdeartwork-emoticons 4:3.5.9-3
    emoticon collections for KDE chat clients
    ii kdeartwork-misc 4:3.5.9-3 various
    multimedia goodies released with KDE
    ii kdeartwork-style 4:3.5.9-3 widget
    styles released with KDE
    ii kdeartwork-theme-icon 4:3.5.9-3 icon
    themes released with KDE
    ii kdeartwork-theme-window 4:3.5.9-3 window
    decoration themes released with KDE
    ii kdebase 4:3.5.9.dfsg.1-5 base
    components from the official KDE release
    ii kdebase-bin 4:3.5.9.dfsg.1-5 core
    binaries for the KDE base module
    ii kdebase-data 4:3.5.9.dfsg.1-5 shared
    data files for the KDE base module
    ii kdebase-kio-plugins 4:3.5.9.dfsg.1-5 core
    I/O slaves for KDE
    ii kdebase-runtime 4:4.1.0-2 runtime
    components from the official KDE 4 release
    ii kdebase-runtime-bin-kde4 4:4.1.0-2 core
    binaries for the KDE 4 base runtime module
    ii kdebase-runtime-data 4:4.1.0-2 shared
    data files for the KDE 4 base runtime module
    ii kdebluetooth 1.0~beta8-5 KDE
    Bluetooth Framework
    ii kdeedu 4:3.5.9-2
    educational apps from the official KDE release
    ii kdeedu-data 4:3.5.9-2 shared
    data for KDE educational applications
    ii kdeeject 4:3.5.9.dfsg.1-5 script
    used by KDE to eject removable media
    ii kdegames 4:3.5.10-1 games
    from the official KDE release
    ii kdegames-card-data 4:3.5.10-1 Card
    decks for KDE games
    ii kdegraphics 4:3.5.9-3
    graphics apps from the official KDE release
    ii kdegraphics-kfile-plugins 4:3.5.9-3 KDE
    metainfo plugins for graphic files
    ii kdelibs 4:3.5.9.dfsg.1-6 core
    libraries from the official KDE release
    ii kdelibs-bin 4:4.1.0-3
    executables for all KDE 4 core applications
    ii kdelibs-data 4:3.5.9.dfsg.1-6 core
    shared data for all KDE applications
    ii kdelibs4c2a 4:3.5.9.dfsg.1-6 core
    libraries and binaries for all KDE applications
    ii kdelibs5 4:4.1.0-3 core
    libraries for all KDE 4 applications
    ii kdelibs5-data 4:4.1.0-3 core
    shared data for all KDE 4 applications
    ii kdelirc 4:3.5.9-2
    infrared control for KDE
    ii kdemultimedia 4:3.5.9-2
    multimedia apps from the official KDE release
    ii kdemultimedia-kappfinder-data 4:3.5.9-2
    multimedia data for kappfinder
    ii kdemultimedia-kfile-plugins 4:3.5.9-2
    au/avi/m3u/mp3/ogg/wav plugins for kfile
    ii kdemultimedia-kio-plugins 4:3.5.9-2 enables
    the browsing of audio CDs under Konqueror
    ii kdenetwork 4:3.5.9-4
    network-related apps from the official KDE release
    ii kdenetwork-kfile-plugins 4:3.5.9-4 torrent
    metainfo plugin for KDE
    ii kdepasswd 4:3.5.9.dfsg.1-5
    password changer for KDE
    ii kdepim 4:3.5.9-5
    Personal Information Management apps from the official
    ii kdepim-kfile-plugins 4:3.5.9-5 KDE
    File dialog plugins for palm and vcf files
    ii kdepim-kio-plugins 4:3.5.9-5 KDE pim
    I/O Slaves
    ii kdepim-kresources 4:3.5.9-5 KDE pim
    resource plugins
    ii kdepim-wizards 4:3.5.9-5 KDE
    server configuration wizards
    ii kdeprint 4:3.5.9.dfsg.1-5 print
    system for KDE
    ii kdesktop 4:3.5.9.dfsg.1-5
    miscellaneous binaries and files for the KDE desktop
    ii kdessh 4:3.5.9-2 ssh
    frontend for KDE
    ii kdesvn 0.14.6-1
    subversion client with tight KDE integration
    ii kdesvn-kio-plugins 0.14.6-1
    subversion I/O slaves for KDE
    ii kdetoys 4:3.5.9-2 toys
    from the official KDE release
    ii kdeutils 4:3.5.9-2 general
    purpose utilities from the official KDE release
    ii kdevelop 4:3.5.2-1 An IDE
    for Unix/X11
    ii kdevelop-data 4:3.5.2-1 An IDE
    for Unix/X11 - data
    ii kdevelop-doc 4:3.5.2-1 An IDE
    for Unix/X11 - documentation
    ii kdewallpapers 4:3.5.9-3
    wallpapers released with KDE
    ii kdewebdev 4:3.5.9-3 web
    development apps from the official KDE release
    ii libkdeedu3 4:3.5.9-2 library
    for use with KDE educational apps
    ii libkdegames1 4:3.5.10-1 KDE
    games library and common files
    ii libkdepim1a 4:3.5.9-5 KDE PIM
    library
    ii liblockdev1 1.0.3-1.2+b1
    Run-time shared library for locking devices
    ii openoffice.org-kde 1:2.4.1-8 KDE
    Integration for OpenOffice.org (Widgets, Dialogs, A
    #


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  7. Re: Why KDE4 ktorrent in Lenny?

    I am using ktorrent 3.1.2 (Debian package) as well with KDE 3.5.9 and have no
    issues. Torrents download normally and no crashes occur (none that I can
    recall).

    Did you try removing and reinstalling ktorrent using Synaptic?

    - Lawrence

    On Tuesday, September 23, 2008 02:45:06 pm Mike Bird wrote:
    > On Tue September 23 2008 09:52:29 Modestas Vainius wrote:
    > > Sveiki,
    > >
    > > antradienis 23 Rugsėjis 2008, Mike Bird rašė:
    > > > I don't have a .kde4 in my home directory.

    > >
    > > Then something is seriously wrong with your base KDE4 installation
    > > (kdelibs5, kdebase-runtime, kdepimlibs).

    >
    > See below for my Lenny KDE packages. What differences do you see
    > between this and the systems where you tested ktorrent 3 with Lenny's
    > KDE 3? Is it possible that ktorrent 3 does not work with KDE 3?
    >
    > --Mike Bird
    >
    >
    > # dpkg -l | grep kde
    > ii atlantikdesigner 4:3.5.9-2 game
    > board designer for Atlantik
    > ii kde 5:48 the
    > K Desktop Environment official modules
    > ii kde-core 5:48 the
    > K Desktop Environment core modules
    > ii kde-icons-oxygen 4:4.1.0-2
    > Oxygen icon theme for KDE 4
    > ii kdeaccessibility 4:3.5.9-2
    > accessibility packages from the official KDE release
    > ii kdeaddons 4:3.5.9-2
    > add-on plugins and applets provided with KDE
    > ii kdeaddons-kfile-plugins 4:3.5.9-2 KDE
    > file dialog plugins for text files and folders
    > ii kdeadmin 4:3.5.9-2
    > system administration tools from the official KDE relea
    > ii kdeadmin-kfile-plugins 4:3.5.9-2 KDE
    > file metainfo plugins for deb and rpm files
    > ii kdeartwork 4:3.5.9-3
    > themes, styles and more from the official KDE release
    > ii kdeartwork-emoticons 4:3.5.9-3
    > emoticon collections for KDE chat clients
    > ii kdeartwork-misc 4:3.5.9-3
    > various multimedia goodies released with KDE
    > ii kdeartwork-style 4:3.5.9-3
    > widget styles released with KDE
    > ii kdeartwork-theme-icon 4:3.5.9-3 icon
    > themes released with KDE
    > ii kdeartwork-theme-window 4:3.5.9-3
    > window decoration themes released with KDE
    > ii kdebase 4:3.5.9.dfsg.1-5 base
    > components from the official KDE release
    > ii kdebase-bin 4:3.5.9.dfsg.1-5 core
    > binaries for the KDE base module
    > ii kdebase-data 4:3.5.9.dfsg.1-5
    > shared data files for the KDE base module
    > ii kdebase-kio-plugins 4:3.5.9.dfsg.1-5 core
    > I/O slaves for KDE
    > ii kdebase-runtime 4:4.1.0-2
    > runtime components from the official KDE 4 release
    > ii kdebase-runtime-bin-kde4 4:4.1.0-2 core
    > binaries for the KDE 4 base runtime module
    > ii kdebase-runtime-data 4:4.1.0-2
    > shared data files for the KDE 4 base runtime module
    > ii kdebluetooth 1.0~beta8-5 KDE
    > Bluetooth Framework
    > ii kdeedu 4:3.5.9-2
    > educational apps from the official KDE release
    > ii kdeedu-data 4:3.5.9-2
    > shared data for KDE educational applications
    > ii kdeeject 4:3.5.9.dfsg.1-5
    > script used by KDE to eject removable media
    > ii kdegames 4:3.5.10-1
    > games from the official KDE release
    > ii kdegames-card-data 4:3.5.10-1 Card
    > decks for KDE games
    > ii kdegraphics 4:3.5.9-3
    > graphics apps from the official KDE release
    > ii kdegraphics-kfile-plugins 4:3.5.9-3 KDE
    > metainfo plugins for graphic files
    > ii kdelibs 4:3.5.9.dfsg.1-6 core
    > libraries from the official KDE release
    > ii kdelibs-bin 4:4.1.0-3
    > executables for all KDE 4 core applications
    > ii kdelibs-data 4:3.5.9.dfsg.1-6 core
    > shared data for all KDE applications
    > ii kdelibs4c2a 4:3.5.9.dfsg.1-6 core
    > libraries and binaries for all KDE applications
    > ii kdelibs5 4:4.1.0-3 core
    > libraries for all KDE 4 applications
    > ii kdelibs5-data 4:4.1.0-3 core
    > shared data for all KDE 4 applications
    > ii kdelirc 4:3.5.9-2
    > infrared control for KDE
    > ii kdemultimedia 4:3.5.9-2
    > multimedia apps from the official KDE release
    > ii kdemultimedia-kappfinder-data 4:3.5.9-2
    > multimedia data for kappfinder
    > ii kdemultimedia-kfile-plugins 4:3.5.9-2
    > au/avi/m3u/mp3/ogg/wav plugins for kfile
    > ii kdemultimedia-kio-plugins 4:3.5.9-2
    > enables the browsing of audio CDs under Konqueror
    > ii kdenetwork 4:3.5.9-4
    > network-related apps from the official KDE release
    > ii kdenetwork-kfile-plugins 4:3.5.9-4
    > torrent metainfo plugin for KDE
    > ii kdepasswd 4:3.5.9.dfsg.1-5
    > password changer for KDE
    > ii kdepim 4:3.5.9-5
    > Personal Information Management apps from the official
    > ii kdepim-kfile-plugins 4:3.5.9-5 KDE
    > File dialog plugins for palm and vcf files
    > ii kdepim-kio-plugins 4:3.5.9-5 KDE
    > pim I/O Slaves
    > ii kdepim-kresources 4:3.5.9-5 KDE
    > pim resource plugins
    > ii kdepim-wizards 4:3.5.9-5 KDE
    > server configuration wizards
    > ii kdeprint 4:3.5.9.dfsg.1-5
    > print system for KDE
    > ii kdesktop 4:3.5.9.dfsg.1-5
    > miscellaneous binaries and files for the KDE desktop
    > ii kdessh 4:3.5.9-2 ssh
    > frontend for KDE
    > ii kdesvn 0.14.6-1
    > subversion client with tight KDE integration
    > ii kdesvn-kio-plugins 0.14.6-1
    > subversion I/O slaves for KDE
    > ii kdetoys 4:3.5.9-2 toys
    > from the official KDE release
    > ii kdeutils 4:3.5.9-2
    > general purpose utilities from the official KDE release
    > ii kdevelop 4:3.5.2-1 An
    > IDE for Unix/X11
    > ii kdevelop-data 4:3.5.2-1 An
    > IDE for Unix/X11 - data
    > ii kdevelop-doc 4:3.5.2-1 An
    > IDE for Unix/X11 - documentation
    > ii kdewallpapers 4:3.5.9-3
    > wallpapers released with KDE
    > ii kdewebdev 4:3.5.9-3 web
    > development apps from the official KDE release
    > ii libkdeedu3 4:3.5.9-2
    > library for use with KDE educational apps
    > ii libkdegames1 4:3.5.10-1 KDE
    > games library and common files
    > ii libkdepim1a 4:3.5.9-5 KDE
    > PIM library
    > ii liblockdev1 1.0.3-1.2+b1
    > Run-time shared library for locking devices
    > ii openoffice.org-kde 1:2.4.1-8 KDE
    > Integration for OpenOffice.org (Widgets, Dialogs, A
    > #




    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

  8. Re: Why KDE4 ktorrent in Lenny?

    On Tue September 23 2008 11:29:26 Lawrence Williams wrote:
    > I am using ktorrent 3.1.2 (Debian package) as well with KDE 3.5.9 and have
    > no issues. Torrents download normally and no crashes occur (none that I can
    > recall).
    >
    > Did you try removing and reinstalling ktorrent using Synaptic?


    I removed ktorrent and all its dependencies, reinstalled ktorrent2.2,
    waited several days during which ktorrent2.2 ran fine, and then
    reinstalled ktorrent 3 and its dependencies again. I used apt for
    the installs and dpkg for the purges.

    Do you have a ~/.kde4 ?

    Please post your "dpkg -l | grep kde" for comparison with mine.

    --Mike Bird


    --
    To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
    with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

+ Reply to Thread